<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.playlet.system.mapper.PlayletConfigMapper">

    <resultMap type="PlayletConfig" id="PlayletConfigResult">
        <result property="id"    column="id"    />
        <result property="globalRate"    column="global_rate"    />
        <result property="placeRate"    column="place_rate"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />
    </resultMap>

    <sql id="selectPlayletConfigVo">
        select id, global_rate, place_rate, create_by, create_time, update_by, update_time, remark from playlet_config
    </sql>

    <select id="selectPlayletConfigList" parameterType="PlayletConfig" resultMap="PlayletConfigResult">
        <include refid="selectPlayletConfigVo"/>
        <where>
            <if test="globalRate != null "> and global_rate = #{globalRate}</if>
            <if test="placeRate != null "> and place_rate = #{placeRate}</if>
        </where>
    </select>

    <select id="selectPlayletConfigById" parameterType="Long" resultMap="PlayletConfigResult">
        <include refid="selectPlayletConfigVo"/>
        where id = #{id}
    </select>

    <insert id="insertPlayletConfig" parameterType="PlayletConfig" useGeneratedKeys="true" keyProperty="id">
        insert into playlet_config
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="globalRate != null">global_rate,</if>
            <if test="placeRate != null">place_rate,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
            <if test="remark != null">remark,</if>
        </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="globalRate != null">#{globalRate},</if>
            <if test="placeRate != null">#{placeRate},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="remark != null">#{remark},</if>
        </trim>
    </insert>

    <update id="updatePlayletConfig" parameterType="PlayletConfig">
        update playlet_config
        <trim prefix="SET" suffixOverrides=",">
            <if test="globalRate != null">global_rate = #{globalRate},</if>
            <if test="placeRate != null">place_rate = #{placeRate},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
            <if test="remark != null">remark = #{remark},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deletePlayletConfigById" parameterType="Long">
        delete from playlet_config where id = #{id}
    </delete>

    <delete id="deletePlayletConfigByIds" parameterType="String">
        delete from playlet_config where id in
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>

</mapper>